# GET: /user/history

**UserHistoryRequest**

The request to the User History API can specify a number of filters, such as which accounts to retrieve information about.

```
 "user_address": "0xa0df350d2637096571F7A701CBc1C5fdE30dF76A",
 "offset": 0,
 "limit": 100
}
```

| string | `user_address` | The requested user address.        |
| ------ | -------------- | ---------------------------------- |
| uint32 | `offset`       | Offset of pagination. `Default: 0` |
| uint32 | `limit`        | Limit of pagination.               |

**UserHistoryResponse**

The user history graph API response contains the transaction data of specific or all users.

| uint32          | count  | Count of all fetched transactions. |
| --------------- | ------ | ---------------------------------- |
| UserHistoryData | `data` | User transaction data.             |

**UserHistoryData**

| Type     | Key              | Description                   |
| -------- | ---------------- | ----------------------------- |
| uuid     | `id`             | History id                    |
| string   | `user_address`   | User address                  |
| string   | `from`           | From address                  |
| string   | `to`             | To address                    |
| uint32   | `blockNumber`    | Block number of graph history |
| uint32   | `blockTimestamp` | Unix block timestamp          |
| string   | `txHash`         | Transaction Hash              |
| string   | `logIndex`       | Log Index                     |
| string   | `action`         | User action                   |
| string   | `symbol`         | symbol                        |
| uint32   | `decimal`        | Asset decimal                 |
| string   | `amount`         | Asset amount                  |
| uint32   | `gasFee`         | Gas fee                       |
| string   | `data`           | Transaction logs              |
| datetime | `createdAt`      | Created timestamp             |
| datetime | `updatedAt`      | Updated timestamp             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strike.org/api/userhistoryservice/user-history.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
